/**************************************************************************************

        MUSTUXLIB - THE COMMON LIBRARY FOR ALL MUSTUX APPLICATIONS
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/


#ifndef MUSTUXGLOBALPROPERTIES_HH
#define MUSTUXGLOBALPROPERTIES_HH

#include "config.h"

#include <stdio.h>
#include <stdlib.h>
#include <qstring.h>
#include <qfile.h>
#include <qfileinfo.h>
#include <qtextstream.h>
#include <qdict.h>

namespace MustuxGlobalProperties
        {
                void init(QString fileName);
                void save();
                void finish();

                void insert(QString key, QString value);
                void remove(QString key);
                QString get(QString key);
                int get_int(QString key);
                float get_float(QString key);
                void set(QString key, QString value);
                void set(QString key, int value);
                void set(QString key, float value);

                void show_dict();
	        bool exists(QString key);

	        void register_callback_function(QString key, void (*func)(QString, QString, void *), void *object_pointer);
        };
#endif
